Bug 844843 - /etc/vimrc adds cscope db in a wrong way
/etc/vimrc adds cscope db in a wrong way
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 22:26 EDT by xiali
Modified: 2013-05-14 10:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 10:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xiali 2012-07-31 22:26:59 EDT
Description of problem:

/etc/vimrc invokes `cs add cscope.out`(without the path argument), it assumes the curdir never changes. so when you change curdir(autochdir or other operation), the db connection lost.


Version-Release number of selected component (if applicable):

VIM - Vi IMproved 7.3 (2010 Aug 15, compiled Jun 18 2012 09:17:13)
Included patches: 1-415, 417-556


How reproducible:
100%


Steps to Reproduce:
set autochdir, and use cscope jump into other path, it fails the second time


Additional info:

I strongly recommend cleaning up the /etc/vimrc, vim users have their own rc. /etc/vimrc makes things wrong.
Comment 1 Karsten Hopp 2012-08-28 08:23:11 EDT
I've added the path to cscope.out, but will let the rest of /etc/vimrc keep as is. The goal is to have some reasonable defaults and users can overwrite those defaults if they wish to do so in their own .vimrc

Note You need to log in before you can comment on or make changes to this bug.